<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__smartio__functions__init" kind="group">
    <compoundname>group_smartio_functions_init</compoundname>
    <title>Initialization Functions</title>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="group__group__smartio__functions__init_1gac8cd44d9c01dad55dc324f410f0c267a" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__smartio__enums_1ga539e453be0c4fdbcba47609451495f13">cy_en_smartio_status_t</ref></type>
        <definition>cy_en_smartio_status_t Cy_SmartIO_Init</definition>
        <argsstring>(SMARTIO_PRT_Type *base, const cy_stc_smartio_config_t *config)</argsstring>
        <name>Cy_SmartIO_Init</name>
        <param>
          <type>SMARTIO_PRT_Type *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>const <ref kindref="compound" refid="structcy__stc__smartio__config__t">cy_stc_smartio_config_t</ref> *</type>
          <declname>config</declname>
        </param>
        <briefdescription>
<para>Initializes the Smart I/O. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>Pointer to the Smart I/O base address</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>config</parametername>
</parameternamelist>
<parameterdescription>
<para>Pointer to the Smart I/O configuration structure</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>Status of the initialization operation</para></simplesect>
<simplesect kind="par"><title>Function Usage</title><para><programlisting><codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal" /><highlight class="preprocessor"><sp /><sp /><sp /><sp />#define<sp />ioss_0_port_8_smartio_0_HW<sp />SMARTIO_PRT8</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structcy__stc__smartio__lutcfg__t">cy_stc_smartio_lutcfg_t</ref><sp />ioss_0_port_8_smartio_0_lutCfg0<sp />=<sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />.<ref kindref="member" refid="structcy__stc__smartio__lutcfg__t_1a86cb486d9b0ae98f1266170edd8a04da">tr0</ref><sp />=<sp /><ref kindref="member" refid="group__group__smartio__enums_1gga057185e00625a60b6ee8f788b55f6413ae739f5f57ff207b61bc7516c506197f1">CY_SMARTIO_LUTTR_IO1</ref>,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />.tr1<sp />=<sp /><ref kindref="member" refid="group__group__smartio__enums_1gga057185e00625a60b6ee8f788b55f6413ae739f5f57ff207b61bc7516c506197f1">CY_SMARTIO_LUTTR_IO1</ref>,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />.tr2<sp />=<sp /><ref kindref="member" refid="group__group__smartio__enums_1gga057185e00625a60b6ee8f788b55f6413ae739f5f57ff207b61bc7516c506197f1">CY_SMARTIO_LUTTR_IO1</ref>,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />.opcode<sp />=<sp /><ref kindref="member" refid="group__group__smartio__enums_1gga572df357a226e52ebe5c79b4684662a7a79cb6f265fd4ce09180e9399394c02ee">CY_SMARTIO_LUTOPC_COMB</ref>,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />.lutMap<sp />=<sp />1u,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />};</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structcy__stc__smartio__config__t">cy_stc_smartio_config_t</ref><sp />ioss_0_port_8_smartio_0_config<sp />=<sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />.<ref kindref="member" refid="structcy__stc__smartio__config__t_1a17fde00f0b9310d48bae10ce0dc04b26">clkSrc</ref><sp />=<sp /><ref kindref="member" refid="group__group__smartio__enums_1gga5d4b59d4ac3bf8e4d943f499799fa202a424c51578cddf06cbe865f291e4a67e5">CY_SMARTIO_CLK_ASYNC</ref>,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />.bypassMask<sp />=<sp /><ref kindref="member" refid="group__group__smartio__channels_1ga82938defbc4a2d6548660676484b1333">CY_SMARTIO_CHANNEL4</ref>|<ref kindref="member" refid="group__group__smartio__channels_1gaedc9ddac6203a79c1c1e04622875b9ff">CY_SMARTIO_CHANNEL5</ref>|<ref kindref="member" refid="group__group__smartio__channels_1ga53ef46971d3810c3059c38797c59ab2a">CY_SMARTIO_CHANNEL6</ref>|<ref kindref="member" refid="group__group__smartio__channels_1ga6bb9215b875ff9c6c9d90ac3529f5e2d">CY_SMARTIO_CHANNEL7</ref>,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />.ioSyncEn<sp />=<sp />0u|0u|0u|0u|0u|0u|0u|0u,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />.chipSyncEn<sp />=<sp />0u|0u|0u|0u|0u|0u|0u|0u,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />.lutCfg0<sp />=<sp />&amp;ioss_0_port_8_smartio_0_lutCfg0,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />.lutCfg1<sp />=<sp />NULL,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />.lutCfg2<sp />=<sp />NULL,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />.lutCfg3<sp />=<sp />NULL,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />.lutCfg4<sp />=<sp />NULL,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />.lutCfg5<sp />=<sp />NULL,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />.lutCfg6<sp />=<sp />NULL,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />.lutCfg7<sp />=<sp />NULL,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />.duCfg<sp />=<sp />NULL,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />.hldOvr<sp />=<sp /></highlight><highlight class="keyword">false</highlight><highlight class="normal">,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />};</highlight></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />Initialize<sp />Smart<sp />I/O<sp />block<sp />8<sp />to<sp />invert<sp />the<sp />input<sp />signal<sp />on<sp />pin<sp />0<sp /></highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />and<sp />drive<sp />it<sp />back<sp />out<sp />to<sp />pin<sp />1.<sp />GPIO<sp />P8.0<sp />and<sp />P8.1<sp />are<sp />already<sp />configured<sp />to</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />be<sp />digital<sp />input<sp />and<sp />digital<sp />output<sp />respectively.<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Configure<sp />the<sp />CM0+<sp />bus<sp />master<sp />-<sp />privileged,<sp />secure,<sp />allow<sp />setting<sp />PC<sp />to<sp />PC=1<sp />and<sp />PC=2<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal">(<ref kindref="member" refid="group__group__smartio__enums_1gga539e453be0c4fdbcba47609451495f13a0907a82d2dcbf093e659c02501a4c8b2">CY_SMARTIO_SUCCESS</ref><sp />!=<sp /><ref kindref="member" refid="group__group__smartio__functions__init_1gac8cd44d9c01dad55dc324f410f0c267a">Cy_SmartIO_Init</ref>(SMARTIO_PRT8,<sp />&amp;ioss_0_port_8_smartio_0_config))</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Insert<sp />error<sp />handling<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Enable<sp />Smart<sp />I/O<sp />block<sp />8<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__smartio__functions__init_1gac25d71fa083b90fd27006daff3279eec">Cy_SmartIO_Enable</ref>(SMARTIO_PRT8);</highlight></codeline>
<codeline><highlight class="normal" /></codeline>
</programlisting></para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="150" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_smartio.c" bodystart="51" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smartio.h" line="525" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__smartio__functions__init_1ga985d28b99a73ee45c0a0113968f6cbfa" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_SmartIO_Deinit</definition>
        <argsstring>(SMARTIO_PRT_Type *base)</argsstring>
        <name>Cy_SmartIO_Deinit</name>
        <param>
          <type>SMARTIO_PRT_Type *</type>
          <declname>base</declname>
        </param>
        <briefdescription>
<para>Resets the Smart I/O to default values. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>Pointer to the Smart I/O base address</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="par"><title>Function Usage</title><para><programlisting><codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal" /><highlight class="preprocessor"><sp /><sp /><sp /><sp />#define<sp />ioss_0_port_8_smartio_0_HW<sp />SMARTIO_PRT8</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />Smart<sp />I/O<sp />block<sp />8<sp />configuration<sp />needs<sp />to<sp />be<sp />reverted<sp />to<sp />its</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp /><sp /><sp /><sp />default<sp />values.<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__smartio__functions__init_1gae2e3b2cedcb5c84834aa48de6c753bcc">Cy_SmartIO_Disable</ref>(SMARTIO_PRT8);<sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__smartio__functions__init_1ga985d28b99a73ee45c0a0113968f6cbfa">Cy_SmartIO_Deinit</ref>(SMARTIO_PRT8);</highlight></codeline>
<codeline><highlight class="normal" /></codeline>
</programlisting></para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="181" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_smartio.c" bodystart="166" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smartio.h" line="526" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__smartio__functions__init_1gac25d71fa083b90fd27006daff3279eec" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_SmartIO_Enable</definition>
        <argsstring>(SMARTIO_PRT_Type *base)</argsstring>
        <name>Cy_SmartIO_Enable</name>
        <param>
          <type>SMARTIO_PRT_Type *</type>
          <declname>base</declname>
        </param>
        <briefdescription>
<para>Enables the Smart I/O. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>Pointer to the Smart I/O base address</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="par"><title>Function Usage</title><para><programlisting><codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Refer<sp />to<sp />the<sp />Cy_SmartIO_Init()<sp />function<sp />usage<sp />example<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal" /></codeline>
</programlisting></para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="205" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_smartio.c" bodystart="197" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smartio.h" line="527" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__smartio__functions__init_1gae2e3b2cedcb5c84834aa48de6c753bcc" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_SmartIO_Disable</definition>
        <argsstring>(SMARTIO_PRT_Type *base)</argsstring>
        <name>Cy_SmartIO_Disable</name>
        <param>
          <type>SMARTIO_PRT_Type *</type>
          <declname>base</declname>
        </param>
        <briefdescription>
<para>Disables the Smart I/O. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>Pointer to the Smart I/O base address</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="par"><title>Function Usage</title><para><programlisting><codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal" /><highlight class="preprocessor"><sp /><sp /><sp /><sp />#define<sp />ioss_0_port_8_smartio_0_HW<sp />SMARTIO_PRT8</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />Smart<sp />I/O<sp />block<sp />8<sp />needs<sp />to<sp />be<sp />reconfigured<sp />to<sp />be<sp />driven<sp />by<sp />the</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />low-frequency<sp />clock.<sp />It<sp />must<sp />first<sp />be<sp />disabled,<sp />reconfigured<sp />and<sp />enabled.<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__smartio__functions__init_1gae2e3b2cedcb5c84834aa48de6c753bcc">Cy_SmartIO_Disable</ref>(SMARTIO_PRT8);</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__smartio__functions__general_1ga1b701f96171b32038f1d7f5f9a1a4d3e">Cy_SmartIO_SetClock</ref>(SMARTIO_PRT8,<sp /><ref kindref="member" refid="group__group__smartio__enums_1gga5d4b59d4ac3bf8e4d943f499799fa202ad8be6fea8ec85f6744d2efbcf17b8f7a">CY_SMARTIO_CLK_LFCLK</ref>);</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__smartio__functions__init_1gac25d71fa083b90fd27006daff3279eec">Cy_SmartIO_Enable</ref>(SMARTIO_PRT8);</highlight></codeline>
<codeline><highlight class="normal" /></codeline>
</programlisting></para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="229" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_smartio.c" bodystart="221" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smartio.h" line="528" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>